package com.pas.dao;

import java.util.List;

import com.pas.model.AuthExternal;
import com.pas.model.User;

public interface UserDao {
	public void add(User user);
	public void edit(User user);
	public void delete(int userId);
	public User getUser(int userId);
	public List<User> getAllUser();
	public Integer createExternalConnector(AuthExternal auth);
    public User getUserByExternalConnector(String service, String username);
    public User getUserByUserName(String username);
    public List<AuthExternal> getExternalConnector(String service, String username);
    public List<User> findByAuthorization(String username, String pwd);
}